package utils

import (
	"net/http"
	"strings"
)

// 客户端类型
const (
	ClientAdmin  = "client-admin"
	ClientWechat = "client-wechat"
	ClientMini   = "client-mini"
)

// 一些 UA 列表
const (
	UAWechat      = "micromessenger"
	UAMiniProgram = "miniprogram"
)

// GetClientType 获取客户端类型
// 默认返回是 管理端
func GetClientType(r *http.Request) string {
	ua := strings.ToLower(r.Header.Get("User-Agent"))

	if strings.Index(ua, UAWechat) > -1 {
		if strings.Index(ua, UAMiniProgram) > -1 {
			return ClientMini
		}

		return ClientWechat
	}

	return ClientAdmin
}
